List Applications Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"app_repo_branch": "<string>",
"app_repo_name": "<string>",
"app_repo_owner": "<string>",
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"analysis_ai_generated": true,
"analysis_fallback_reason": "<string>",
"analysis_status": "<string>",
"app_repo_url": "<string>",
"chart_oci_url": "<string>",
"container_image_url": "<string>",
"error_message": "<string>",
"helm_repo_add_command": "<string>",
"live": {
"deployment_state": "<string>",
"deployment_state_message": "<string>",
"deployment_count": 123,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"status": "<string>"
}
]
},
"pull_request_merged_at": "<string>",
"pull_request_url": "<string>"
}
],
"order": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Applications
List Applications Api Endpoint
GET
/
api
/
v1
/
org
/
applications
List Applications Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"app_repo_branch": "<string>",
"app_repo_name": "<string>",
"app_repo_owner": "<string>",
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"analysis_ai_generated": true,
"analysis_fallback_reason": "<string>",
"analysis_status": "<string>",
"app_repo_url": "<string>",
"chart_oci_url": "<string>",
"container_image_url": "<string>",
"error_message": "<string>",
"helm_repo_add_command": "<string>",
"live": {
"deployment_state": "<string>",
"deployment_state_message": "<string>",
"deployment_count": 123,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"status": "<string>"
}
]
},
"pull_request_merged_at": "<string>",
"pull_request_url": "<string>"
}
],
"order": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
created, attention